Bug 1511146

Summary: xpdf does not read /etc/xpdfrc
Product: [Fedora] Fedora Reporter: Sammy <umar>
Component: xpdfAssignee: Tom "spot" Callaway <tcallawa>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 27CC: pertusus, tcallawa
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: xpdf-4.00-5.fc27 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-01-05 13:34:34 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Sammy 2017-11-08 18:51:37 UTC
The xpdf-4.0 has a number of issues with the xpdfrc file:

1. /etc/xpdfrc does not seem to be searched by xpdf. I used strace to look for
   paths it is looking and the closest one was /etc/xdg directory. Putting the
   xpdfrc in /etc/xdg results in the reading of the file but gives error messages
   for every uncommented line saying "="is missing. Putting the same file into
   $HOME/.xpdfrc results in reading and no error!!

2. The urlCommand was giving an error in reading the xpdfrc file. I found this
    in the blog:

   "Xpdf 4 no longer uses the "urlCommand" setting in xpdfrc. Instead it uses 
   Qt's builtin URL handling, i.e., it calls QDesktopServices::openUrl()."

FYI

Comment 1 Fedora Update System 2017-11-13 20:38:17 UTC
xpdf-4.00-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ed036f463b

Comment 2 Fedora Update System 2017-11-14 10:59:08 UTC
xpdf-4.00-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ed036f463b

Comment 3 Fedora Update System 2017-11-27 16:34:42 UTC
xpdf-4.00-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee72c8b824

Comment 4 Fedora Update System 2017-11-28 06:46:22 UTC
xpdf-4.00-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee72c8b824

Comment 5 Fedora Update System 2018-01-05 13:34:34 UTC
xpdf-4.00-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.